/*	MailCarrier.h

	This is an object which implements a service menu
	item to automatically mail the current selection of
	text to a given recipient. It reports errors in
	notes and puts a copy of the message being mailed
	into content.
	
	This object uses /usr/lib/sendmail to mail the
	message. This means that if the message has internet
	style headers, they will be properly parsed.
	
	The code for this object is hereby made available
	any use you see fit. No guarantees are made of its
	suitablility for any purpose.
	
	Written in January 1991 by Eric Celeste.
														 */

#import <objc/Object.h>

@interface MailCarrier:Object
{
	id recipient;
	id notes;
	id content;
	int numberOfMessages;
}

// STANDARD METHODS
- init;

// DELEGATE METHODS
- appDidInit:sender;

// SERVICE METHODS
- carryMail:pasteboard userData:(const char *)userData error:(char **)message;

@end
